module.exports = {
  extends: [
    "plugin:react/recommended",
    "@mapbox/eslint-config-mapbox/import",
    "@mapbox/eslint-config-mapbox/promise",
    "@mapbox/eslint-config-mapbox/xss",
    "plugin:es/restrict-to-es5",
    "prettier",
  ],
  parser: "babel-eslint",
  env: {
    browser: true,
  },
  parserOptions: {
    sourceType: "module",
    ecmaFeatures: {
      jsx: true,
    },
  },
  globals: {
    MapboxPageShell: true,
    analytics: true,
  },
  plugins: ["react", "es"],
  rules: {
    /* react */
    "react/no-unescaped-entities": "off",
    /* es overrides */
    "es/no-modules": "off",
    "es/no-block-scoped-variables": "off",
    "es/no-arrow-functions": "off",
    "es/no-classes": "off",
    "es/no-template-literals": "off",
    "es/no-property-shorthands": "off",
    "es/no-destructuring": "off",
    "es/no-default-parameters": "off",
    "es/no-rest-spread-properties": "off",
    "es/no-spread-elements": "off",
    "es/no-dynamic-import": "off",
    /* misc */
    "spaced-comment": "off",
    "prefer-const": "off",
    /* Batfish */
    "import/no-unresolved": ["error", { ignore: ["^@mapbox/batfish/data/"] }],
  },
  settings: {
    react: {
      version: "detect",
    },
  },
};
